## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemApplyImport Class Reference

`#include <ElemApplyImport.hpp>`

Inheritance diagram for ElemApplyImport

Collaboration diagram for ElemApplyImport:

List of all members.

## Public Methods

- ElemApplyImport ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:apply-imports" element. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void execute (StylesheetExecutionContext& executionContext) const
    Execute the element's primary function. More...
- virtual ElemTemplateElement* appendChildElem (ElemTemplateElement* newChild)
    Append a child. More...

## Constructor & Destructor Documentation

ElemApplyImport::ElemApplyImport ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to an "xsl:apply-imports" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

## Member Function Documentation

virtual ElemTemplateElement* ElemApplyImport::appendChildElem ( | ElemTemplateElement * newChild )`[virtual]`

Append a child.

theParent - the new value for the parent.

Returns:
  nothing

Reimplemented from ElemTemplateElement.

virtual void ElemApplyImport::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Execute the element's primary function.

Subclasses of this function may recursively execute down the element tree.

Parameters:

  executionContext | The current execution context

Reimplemented from ElemTemplateElement.

virtual const XalanDOMString& ElemApplyImport::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemApplyImport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.